package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphLakeApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.Vo.CphLakeApplyVo;
import com.srs.comprehensive.domain.Vo.CphSearch;
import org.apache.ibatis.annotations.Mapper;

/**
 * 静湖之星申请Mapper接口
 *
 * @author srs
 * @date 2023-10-31
 */
@Mapper
public interface CphLakeApplyMapper extends BaseMapper<CphLakeApply> {


    public List<CphLakeApplyVo> exportView(CphSearch param);

    public List<CphLakeApplyVo> listView(CphSearch param);


    /**
     * 查询静湖之星申请
     *
     * @param id 静湖之星申请主键
     * @return 静湖之星申请
     */
    public CphLakeApply selectCphLakeApplyById(Long id);

    /**
     * 查询静湖之星申请列表
     *
     * @param cphLakeApply 静湖之星申请
     * @return 静湖之星申请集合
     */
    List<CphLakeApply> selectCphLakeApplyList(CphLakeApply cphLakeApply);

    /**
     * 新增静湖之星申请
     *
     * @param cphLakeApply 静湖之星申请
     * @return 结果
     */
    int insertCphLakeApply(CphLakeApply cphLakeApply);

    /**
     * 修改静湖之星申请
     *
     * @param cphLakeApply 静湖之星申请
     * @return 结果
     */
    int updateCphLakeApply(CphLakeApply cphLakeApply);

    /**
     * 删除静湖之星申请
     *
     * @param id 静湖之星申请主键
     * @return 结果
     */
    int deleteCphLakeApplyById(Long id);

    /**
     * 批量删除静湖之星申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphLakeApplyByIds(Long[] ids);
}
